<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Books
 */

get_header(); ?>

	<?php books_action( 'before_content' ); ?>

	<div id="wrapper" class="clearfix">

		<div class="container">

			<div class="<?php books_article_class(); ?>">

			<?php
			// Elementor 'archive' location.
			if ( ! books_is_elementor( 'archive' ) ) {
				?>

				<div id="content_box">

				<?php the_archive_title( '<h1 class="page-title">', '</h1>' ); ?>

				<section id="latest-posts" class="layout-default clearfix">
					<?php
					the_archive_description( '<div class="taxonomy-description">', '</div>' );

					$j = 0;
					if ( have_posts() ) {
						while ( have_posts() ) {
							the_post();
							books_blog_articles();
						}
					}

					if ( 0 !== ++$j ) {
						books_pagination( books_get_settings( 'mts_pagenavigation_type' ) );
					}
					wp_reset_postdata();
					?>
				</section>

				</div>

				<?php
				books_action( 'after_content' );

			}
			?>

			</div>

			<?php get_sidebar(); ?>

		</div><!-- end of .container -->

<?php
get_footer();
