<?php
/**
 * HomePage Tab
 *
 * @package Books
 */

$menus['homepage'] = [
	'icon'  => 'fa-home',
	'title' => esc_html__( 'Homepage', 'books' ),
];

$menus['homepage']['child']['homepage-sections'] = [
	'title' => esc_html__( 'Homepage Sections', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Homepage Sections.', 'books' ),
];

$sections['homepage-sections'] = [

	[
		'id'       => 'homepage_layout',
		'type'     => 'layout',
		'title'    => esc_html__( 'Homepage Section Manager', 'books' ),
		'sub_desc' => esc_html__( 'Organize how you want the sections to appear on the homepage', 'books' ),
		'options'  => [
			'enabled'  => [
				'slider'     => esc_html__( 'Slider', 'books' ),
				'categories' => esc_html__( 'Categories', 'books' ),
				'featured'   => esc_html__( 'Featured', 'books' ),
				'recent'     => esc_html__( 'New Arrivals', 'books' ),
				'blog'       => esc_html__( 'Blog', 'books' ),
				'subscribe'  => esc_html__( 'Subscribe', 'books' ),
			],
			'disabled' => [
				'html' => esc_html__( 'Custom HTML', 'books' ),
			],
		],
		'std'      => [
			'enabled'  => [
				'slider'     => esc_html__( 'Slider', 'books' ),
				'categories' => esc_html__( 'Categories', 'books' ),
				'featured'   => esc_html__( 'Featured', 'books' ),
				'recent'     => esc_html__( 'New Arrivals', 'books' ),
				'blog'       => esc_html__( 'Blog', 'books' ),
				'subscribe'  => esc_html__( 'Subscribe', 'books' ),
			],
			'disabled' => [
				'html' => esc_html__( 'Custom HTML', 'books' ),
			],
		],
	],
];
