<?php
/**
 * Search widget
 *
 * @package Books
 */

$menus['search-widget'] = [
	'icon'  => 'fa-search',
	'title' => esc_html__( 'Search Widget', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the styling of search widget.', 'books' ),
];

$sections['search-widget'] = [

	[
		'id'       => 'search_widget_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'books' ),
		'sub_desc' => esc_html__( 'Set search widget padding from here.', 'books' ),
		'std'      => [
			'top'    => '8px',
			'right'  => books_px2rem( '32px' ),
			'bottom' => '8px',
			'left'   => books_px2rem( '32px' ),
		],
	],
	[
		'id'    => 'search_fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Search Fields Font', 'books' ),
		'std'   => [
			'preview-text'   => 'Search...',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'color'          => '#484055',
			'letter-spacing' => '1.5px',
			'css-selectors'  => '.widget #s',
		],
	],

];
