<?php
/**
 * The template for displaying 404 (Not Found) pages.
 *
 * @package Books
 */

get_header();

books_action( 'before_content' ); ?>

	<div id="wrapper" class="clearfix">

		<div class="container">

			<article class="article">

				<div id="content_box" >

					<?php
					// Elementor 'single' location.
					if ( ! books_is_elementor( 'single' ) ) {
						?>

						<header>
							<div class="title">
								<h1><?php esc_html_e( 'Error 404 Not Found', 'books' ); ?></h1>
							</div>
						</header>

						<div class="post-content">
							<p><?php esc_html_e( 'Oops! We couldn\'t find this Page.', 'books' ); ?></p>
							<p><?php esc_html_e( 'Please check your URL or use the search form below.', 'books' ); ?></p>
							<?php get_search_form(); ?>
						</div><!--.post-content--><!--#error404 .post-->

						<?php
					}
					?>

				</div><!--#content-->

			</article>

			<?php get_sidebar(); ?>

		</div>
<?php
get_footer();
