<?php
/**
 * HomePage HTML Section
 *
 * @package Books
 */

$menus['homepage']['child']['homepage-html'] = [
	'title' => esc_html__( 'Custom HTML', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the HTML Section.', 'books' ),
];

$sections['homepage-html'] = [

	[
		'id'       => 'custom_html',
		'type'     => 'ace_editor',
		'mode'     => 'html',
		'title'    => esc_html__( 'HTML Section', 'books' ),
		'sub_desc' => esc_html__( 'Paste your HTML, Text or other code here.', 'books' ),
	],

	[
		'id'       => 'html_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'books' ),
		'sub_desc' => esc_html__( 'Set HTML section margin from here.', 'books' ),
		'std'      => [
			'top'    => books_px2rem( '150px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],

	[
		'id'       => 'html_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'books' ),
		'sub_desc' => esc_html__( 'Set HTML section padding from here.', 'books' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],

];
