<?php
/**
 * Instagram widget
 *
 * @package Books
 */

$menus['instagram-widget'] = [
	'icon'  => 'fa-instagram',
	'title' => esc_html__( 'Instagram Widget', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the styling of instagram widget.', 'books' ),
];

$sections['instagram-widget'] = [

	[
		'id'       => 'instagram_widget_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'books' ),
		'sub_desc' => esc_html__( 'Set instagram widget padding from here.', 'books' ),
		'std'      => [
			'top'    => books_px2rem( '29px' ),
			'right'  => books_px2rem( '29px' ),
			'bottom' => '0',
			'left'   => books_px2rem( '29px' ),
		],
	],

];
