<?php
/**
 * Header adcode
 *
 * @package Books
 */

$ad_show_on = books_get_settings( 'header_adcode_show' );

if ( ! $ad_show_on ) {
	return;
}

if ( ! empty( books_get_settings( 'mts_header_adcode' ) ) ) {
	echo '<div class="container">';

	if ( 0 !== books_get_settings( 'header_ad_size' ) ) {
		$style = 'max-width: 100%;';
	}
	?>
	<div class="widget-header">
		<div style="<?php ad_size_value( books_get_settings( 'header_ad_size' ) ); ?> <?php echo isset( $style ) ? $style : ''; ?>">
			<?php echo books_get_settings( 'mts_header_adcode' ); ?>
		</div>
	</div>
	<?php

	echo '</div>';
}
