<?php
/**
 * Header Layout Default
 *
 * @package Books
 */

if ( books_get_settings( 'sticky_nav' ) ) { ?>
	<div class="clear" id="catcher"></div>
<?php } ?>
<header<?php books_attr( 'header' ); ?>>

<?php if ( ! books_is_elementor( 'header' ) ) { ?>

	<div<?php books_attr( 'header_container' ); ?>>

		<div class="container">

			<div class="logo-wrap">
				<?php books_logo(); ?>
			</div>

			<!-- Navigation -->
			<?php get_template_part( 'template-parts/header/header', 'primary-nav' ); ?>

			<?php if ( books_get_settings( 'hide_search_box' ) ) { ?>
			<div class="header-search">
				<?php Books_Head::custom_header_search(); ?>
			</div>
			<?php } ?>

		</div><!--.container-->

	</div><!--#header-->

	<?php
}
?>

</header>

<?php
get_template_part( 'template-parts/header/header', 'nav-adcode' );

show_header_ad();
?>
