<?php
/**
 * Header Layout 2
 *
 * @package Books
 */

if ( books_get_settings( 'sticky_nav' ) ) { ?>
	<div class="clear" id="catcher"></div>
<?php } ?>
<header<?php books_attr( 'header' ); ?>>

<?php if ( ! books_is_elementor( 'header' ) ) { ?>

	<div<?php books_attr( 'header_container' ); ?>>

		<div class="container">

			<?php
			// Header Social Icons.
			if ( ! empty( books_get_settings( 'header_social_icons' ) ) && is_array( books_get_settings( 'header_social_icons' ) ) ) {
				$header_icons = books_get_settings( 'header_social_icons' );
				books_social_icons( $header_icons, true );
			}
			?>

			<div class="logo-wrap">
				<?php books_logo(); ?>
			</div>

			<?php if ( books_get_settings( 'hide_search_box' ) ) { ?>
			<div class="header-search">
				<?php Books_Head::custom_header_search(); ?>
			</div>
			<?php } ?>

		</div><!--.container-->

	</div><!--#header-->

	<!-- Navigation -->
	<?php
	get_template_part( 'template-parts/header/header', 'primary-nav' );

}
?>

</header>

<?php
get_template_part( 'template-parts/header/header', 'nav-adcode' );

show_header_ad();
?>
